//
//  UseCaseHandler.swift
//  TrustBuilderMfaSampleApp
//
//  Created by Ludovic Lefevre on 03/03/2023.
//

import Foundation
import TrustBuilderMfaLibSwift

public class TrustBuilderOperationHandler<T,R> where T: IUseCase{
    var useCase : T?
    var setupResult : R?
    
    init() {
    }
    public func loadUseCase(useCase : T) {
        self.useCase = useCase
    }
    public func getUseCase() -> T{
        return useCase!
    }
    public func setSetupResult(setupResult :  R){
        self.setupResult = setupResult
    }
    public func getSetupResult() -> R{
        return setupResult!
    }
}
